Request logs
Operations tagged Request logs in the public API.
/v1/request_logs
List api request logs
List api request logs. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopekeys:read
Example 200 response
json
{
"object": "list",
"data": [
{
"object": "api_request_log",
"id": 26,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/event_types",
"status": 200,
"duration_ms": 0,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 25,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/events",
"status": 200,
"duration_ms": 1,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 24,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/webhook_deliveries/{id}",
"status": 200,
"duration_ms": 1,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 23,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/webhook_endpoints",
"status": 200,
"duration_ms": 1,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 22,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/files",
"status": 200,
"duration_ms": 1,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 21,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/sitemap_crawlers",
"status": 200,
"duration_ms": 1,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 20,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/crawlers/{id}",
"status": 200,
"duration_ms": 1,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 19,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/crawlers",
"status": 200,
"duration_ms": 3,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 18,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/customers/{id}",
"status": 200,
"duration_ms": 1,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 17,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/customers",
"status": 200,
"duration_ms": 2,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 16,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/actions/{id}/runs",
"status": 200,
"duration_ms": 1,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 15,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/actions/{id}",
"status": 200,
"duration_ms": 1,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 14,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/actions",
"status": 200,
"duration_ms": 11,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 13,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/messages/{id}",
"status": 200,
"duration_ms": 1,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 12,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/conversations/{id}/messages",
"status": 200,
"duration_ms": 2,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 11,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/conversations/{id}",
"status": 200,
"duration_ms": 1,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 10,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/conversations",
"status": 200,
"duration_ms": 6,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 9,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/knowledge/usage",
"status": 200,
"duration_ms": 5,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 8,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/knowledge/collections",
"status": 200,
"duration_ms": 1,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
},
{
"object": "api_request_log",
"id": 7,
"api_key_id": 1,
"request_id": "2026-01-01T00:00:00+00:00",
"method": "GET",
"path": "/v1/knowledge/{id}/status",
"status": 200,
"duration_ms": 1,
"error_code": null,
"created_at": "2026-01-01T00:00:00+00:00"
}
],
"has_more": true,
"next_cursor": "2026-01-01T00:00:00+00:00",
"previous_cursor": null,
"url": "/v1/request_logs"
}curl
curl -X GET https://api.agentency.com/v1/request_logs \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"